<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
	<title>YUI Container - Tooltip: Quickstart (YUI Library)</title>

	<link type="text/css" rel="stylesheet" href="../../../build/reset-fonts-grids/reset-fonts-grids.css">

	<link rel="stylesheet" type="text/css" href="../../../docs/assets/dpSyntaxHighlighter.css">
	<link type="text/css" rel="stylesheet" href="../assets/style.css">
</head>

<body>

	<div id="doc3" class="yui-t5">
		<div id="hd">
			<a href="http://developer.yahoo.com/yui" id="logo"><div></div></a>
			<h1>YUI Container: Tooltip: Quickstart</h1>
		</div>

		<div id="bd">

					<div id="toc" class="yui-b">
			<ul>
				<li class="sect"><a href="../index.html">YUI Container: Tutorials</a></li>

<li class="item"><a href="../module/1.html">Module: Quickstart</a></li>
<li class="item"><a href="../overlay/1.html">Overlay: Quickstart</a></li>
<li class="item selected"><a href="1.html">Tooltip: Quickstart</a></li>
<li class="child active"><a href="1.html">Setting up the Tooltips</a></li>
<li class="child"><a href="2.html">Functional Example</a></li>
<li class="item"><a href="../tooltipmulti/1.html">Tooltip: One Tooltip, Many Elements</a></li>
<li class="item"><a href="../panel/1.html">Panel: Quickstart</a></li>
<li class="item"><a href="../skin/1.html">Panel: Skinning</a></li>
<li class="item"><a href="../panelskin/1.html">Panel: Advanced Skinning using CSS</a></li>
<li class="item"><a href="../panelwait/1.html">Panel: Creating a 'Loading' Popup</a></li>
<li class="item"><a href="../panelphotobox/1.html">PhotoBox: Subclassing Panel</a></li>
<li class="item"><a href="../panelresize/1.html">ResizePanel: Creating a Resizable Panel</a></li>
<li class="item"><a href="../dialog/1.html">Dialog Quickstart</a></li>
<li class="item"><a href="../simpledialog/1.html">SimpleDialog Quickstart</a></li>
<li class="item"><a href="../effect/1.html">Using ContainerEffect</a></li>
<li class="item"><a href="../overlaymanager/1.html">Using OverlayManager</a></li>
<li class="item"><a href="../keylistener/1.html">Using KeyListener</a></li>
			</ul>
		</div>
			<div id="yui-main">
				<div class="yui-b">
					<h1 class="first">Setting up the Tooltips</h1>

								<p>The Tooltip control is an extension of Overlay that is analogous to popup tooltips within common operating systems. The standard tooltip interaction pattern involves a small overlay that is displayed when the mouse hovers over a context element for a specified amount of time. Tooltip is designed to be simple to implement with easily-accessed configuration options and visual styling handled entirely via CSS.</p>

			<p>Tooltips are instantiated by script and are rendered (and hidden) automatically when the window's <em>load</em> event fires; no call to <em>render</em> is required. Tooltip introduces several specific configuration properties:</p>

			<ul class="properties">
				<li><strong>context</strong> - Defines the context element that will trigger the Tooltip to be displayed. This property can be set using either an element id or an element reference.</li>
				<li><strong>text</strong> - The Tooltip's text. If the text property is omitted, the Tooltip will try to set its own text using the context element's "title" attribute.</li>
				<li><strong>showdelay</strong> - The number of milliseconds to wait before showing the Tooltip on mouse over. Defaults to 200.</li>
				<li><strong>hidedelay</strong> - The number of milliseconds to wait before hiding the Tooltip on mouse out. Defaults to 250.</li>
				<li><strong>autodismissdelay</strong> - The number of milliseconds to wait before automatically dismissing the Tooltip. Defaults to 5000.</li>
			</ul>

			<p>In this tutorial, we will create two Tooltips. The first will be associated with an element with an id of "ctx", and will have its text set explicitly. The second Tooltip will be associated with a link with an id of "link", but it will retrieve its text from the link's "title" attribute:</p>

			<textarea name="code" class="JScript" cols="60" rows="1">
				YAHOO.example.container.tt1 = new YAHOO.widget.Tooltip("tt1", 
										{ context:"ctx", 
										  text:"My text was set using the 'text' configuration property" });
				YAHOO.example.container.tt2 = new YAHOO.widget.Tooltip("tt2", { context:"link" });
			</textarea>

			<p>The corresponding markup for the context elements for this tutorial look like this:</p>

			<textarea name="code" class="HTML" cols="60" rows="1">
					<div id="ctx">Hover over me to see a Tooltip!</div>
					<a id="link" href="http://www.yahoo.com/" title="Do You Yahoo?">Hover over me to see a Tooltip!</a>
			</textarea>
					<div id="stepnav">
						<a class="next" href="2.html">Continue to <em>Functional Example</em> &gt;</a>					</div>
				</div>
			</div>

		</div>

		<div id="ft">&nbsp;</div>
	</div>	

	<script src="../../../docs/assets/dpSyntaxHighlighter.js"></script>
	<script language="javascript"> 
		dp.SyntaxHighlighter.HighlightAll('code'); 
	</script>

</body>
</html>